View Issue Details

IDProjectCategoryView StatusLast Update
0000183FreeCADFeaturepublic2011-08-31 13:57
Reporterpperisin Assigned ToJriegel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.10 
Target VersionFixed in Version0.12 
Summary0000183: Allow solid to have different colors for every face
DescriptionRight now, you can add one color to solid. Please, allow it to have multiple colors, one for every face
TagsNo tags attached.
FreeCAD Information

Activities

Jriegel

2011-01-15 16:33

administrator   ~0000520

I have that on the list for a while, will see when I have time ;)

pperisin

2011-01-17 10:27

reporter   ~0000536

Thank you very much

Regards

wmayer

2011-08-17 14:38

administrator   ~0000985

A new Inventor node has been implemented which allows to have a different color per face. The next steps are to connect this with the view provider (first with ViewProviderExt), implement the selection logic in the view provider and implement a material property which has a list of colors.

wmayer

2011-08-31 13:57

administrator   ~0001027

For ViewProviderPartExt (which will become the default very soon) has a command "Set face colors" in the context-menu. This opens a task panel to set each face color independently.

Done in r4858.

Issue History

Date Modified Username Field Change
2010-10-27 05:17 pperisin New Issue
2011-01-15 16:33 Jriegel Status new => assigned
2011-01-15 16:33 Jriegel Assigned To => Jriegel
2011-01-15 16:33 Jriegel Note Added: 0000520
2011-01-17 10:27 pperisin Note Added: 0000536
2011-08-17 14:38 wmayer Note Added: 0000985
2011-08-31 13:57 wmayer Note Added: 0001027
2011-08-31 13:57 wmayer Status assigned => closed
2011-08-31 13:57 wmayer Resolution open => fixed
2011-08-31 13:57 wmayer Fixed in Version => 0.12